<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::table('lokasi_tps', function (Blueprint $table) {
            $table->text('alamat_tps')->nullable()->after('nama_tps');
        });
    }

    public function down()
    {
        Schema::table('lokasi_tps', function (Blueprint $table) {
            if (Schema::hasColumn('lokasi_tps', 'alamat_tps')) {
                $table->dropColumn('alamat_tps');
            }
        });
    }
};
